import { defineFakeRoute } from "vite-plugin-fake-server/client";
export default defineFakeRoute([
  {
    url: "/get-feed-back-list",
    method: "post",
    response: () => {
      return {
        success: true,
        data: {
          list: [
            {
              feedBackId: 1,
              status: 0,
              feedBackTitle: "SSL证书",
              feedBackType: 1,
              feedBackTime: "2022-01-01",
              feedBackUser: "张三",
              packageId: 1,
              packageName: "SSL证书",
              packageVersion: "1.0.0",
            },
            {
              feedBackId: 2,
              status: 1,
              feedBackTitle: "人脸识别",
              feedBackType: 2,
              feedBackTime: "2022-01-01",
              feedBackUser: "李四",
              packageId: 1,
              packageName: "SSL证书",
              packageVersion: "1.0.0",
            },
            {
              feedBackId: 3,
              status: 1,
              feedBackType: 3,
              feedBackTitle: "CVM",
              feedBackTime: "2022-01-01",
              feedBackUser: "王五",
              packageId: 1,
              packageName: "SSL证书",
              packageVersion: "1.0.0",
            },
            {
              feedBackId: 4,
              status: 1,
              feedBackTitle: "SSL证书",
              feedBackType: 4,
              feedBackTime: "2022-01-01",
              feedBackUser: "李四",
              packageId: 1,
              packageName: "SSL证书",
              packageVersion: "1.0.0",
            },
            {
              feedBackId: 5,
              status: 0,
              feedBackTitle: "SSL证书",
              feedBackType: 5,
              feedBackTime: "2022-01-01",
              feedBackUser: "张三",
              packageId: 1,
              packageName: "SSL证书",
              packageVersion: "1.0.0",
            },
          ],
          total: 5,
          pageSize: 10,
          currentPage: 1,
        }
      };
    }
  }
]);
