import { http } from "@/utils/http";

type ShowUpgradeTableRequest = {
  systemType: string;
  applyVersion: string;
}
type Result = {
  success: boolean,
  data?: {
    list?:[]
  }
}
/** 根据系统类型获取已知升级包可用的系统版本 */
export const getApplyVersion = (data?:{systemType:string}) => {
  return http.request<Result>("post", "user/getApplyVersion", {data})
}