interface FormItemProps {
  /** 菜单编号 */
  routeId: number;
  /** 菜单类型（0代表菜单、1代表iframe、2代表外链、3代表按钮）*/
  menuType: number;
  /** 父级id */
  parentId: number;
  /** 父级路由 */
  parentPath: string;
  /** 标题 */
  title: string;
  /** 名称 */
  name: string;
  /** 路径 */
  path: string;
  /** 组件 */
  component: string;
  /** 排名 */
  rank: number;
  /** 重定向 */
  redirect: string;
  /** 图标 */
  icon: string;
  activePath: string;
  /** 权限 */
  auths: string;
  /** 框架源 */
  frameSrc: string;
  /** 保持活动 */
  keepAlive: boolean;
  /** 显示链接 */
  showLink: boolean;
  /** 显示父级 */
  showParent: boolean;
}
interface FormProps {
  formInline: FormItemProps;
}

export type { FormItemProps, FormProps };
