import { defineFakeRoute } from "vite-plugin-fake-server/client";
import { faker } from "@faker-js/faker/locale/zh_CN";

export default defineFakeRoute([
  // 账户设置-个人信息
  {
    url: "/user/getSkills",
    method: "get",
    response: () => {
      return {
        success: true,
        data: {
          timeline: [
            {
              timestamp: "2019/4/20",
              title: "Update Github template",
              content: "PanJiaChen committed 2019/4/20 20:46"
            },
            {
              timestamp: "2019/4/21",
              title: "Update Github template",
              content: "PanJiaChen committed 2019/4/21 20:46"
            },
            {
              timestamp: "2019/4/22",
              title: "Build Template",
              content: "PanJiaChen committed 2019/4/22 20:46"
            },
            {
              timestamp: "2019/4/23",
              title: "Release New Version",
              content: "PanJiaChen committed 2019/4/23 20:46"
            }
          ],
          skills: [
            { value: 0.1, name: "JavaScript" },
            { value: 0.4, name: "Vue" },
            { value: 0.2, name: "CSS" },
            { value: 0.3, name: "HTML" }],
          activities: [{
            imgSrc:
              "https://wpimg.wallstcn.com/f778738c-e4f8-4870-b634-56703b4acafe.gif",
            username: "admin",
            needSwiper: false,
            description: "Shared publicly",
            time: "7:30 PM today",
            information:
              "        Lorem ipsum represents a long-held tradition for designers,typographers and the like. Some people hate it and argue for its demise, but others ignore the hate as they create awesome tools to help create filler text for everyone from bacon lovers to Charlie Sheen fans.",
            carouselImages: []
          },
          {
            imgSrc:
              "https://wpimg.wallstcn.com/f778738c-e4f8-4870-b634-56703b4acafe.gif",
            username: "admin",
            needSwiper: true,
            description: "Posted 4 photos",
            time: "2 days ago",
            information:
              "        Lorem ipsum represents a long-held tradition for designers,typographers and the like. Some people hate it and argue for its demise, but others ignore the hate as they create awesome tools to help create filler text for everyone from bacon lovers to Charlie Sheen fans.",
            carouselImages: [
              "https://wpimg.wallstcn.com/9679ffb0-9e0b-4451-9916-e21992218054.jpg",
              "https://wpimg.wallstcn.com/bcce3734-0837-4b9f-9261-351ef384f75a.jpg",
              "https://wpimg.wallstcn.com/d1d7b033-d75e-4cd6-ae39-fcd5f1c0a7c5.jpg",
              "https://wpimg.wallstcn.com/50530061-851b-4ca5-9dc5-2fead928a939.jpg"
            ]
          }]
        }
      };
    }
  }
]);
